Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLargeInteger Class Reference

`#include <vtkLargeInteger.h>`

List of all members.

## Detailed Description

class for arbitrarily large ints

Date:
  2002/01/22 15:25:33

Revision:
  1.6

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (95%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkLargeInteger.h)`
  - .`cxx` (`/Common/vtkLargeInteger.cxx)`

Definition at line 38 of file vtkLargeInteger.h.

## Public Methods
| vtkLargeInteger (void)
| vtkLargeInteger (long n)
| vtkLargeInteger (unsigned long n)
| vtkLargeInteger (int n)
| vtkLargeInteger (unsigned int n)
| vtkLargeInteger (const vtkLargeInteger &n)
| ~vtkLargeInteger (void)
char | CastToChar (void) const
short | CastToShort (void) const
int | CastToInt (void) const
long | CastToLong (void) const
unsigned long | CastToUnsignedLong (void) const
int | IsEven (void) const
int | IsOdd (void) const
int | GetLength (void) const
int | GetBit (unsigned int p) const
int | IsZero () const
int | GetSign (void) const
void | Truncate (unsigned int n)
void | Complement (void)
int | operator== (const vtkLargeInteger &n) const
int | operator!= (const vtkLargeInteger &n) const
int | operator< (const vtkLargeInteger &n) const
int | operator<= (const vtkLargeInteger &n) const
int | operator> (const vtkLargeInteger &n) const
int | operator>= (const vtkLargeInteger &n) const
vtkLargeInteger & | operator= (const vtkLargeInteger &n)
vtkLargeInteger & | operator+= (const vtkLargeInteger &n)
vtkLargeInteger & | operator-= (const vtkLargeInteger &n)
vtkLargeInteger & | operator<<= (int n)
vtkLargeInteger & | operator>>= (int n)
vtkLargeInteger & | operator++ (void)
vtkLargeInteger & | operator-- (void)
vtkLargeInteger | operator++ (int)
vtkLargeInteger | operator-- (int)
vtkLargeInteger & | operator *= (const vtkLargeInteger &n)
vtkLargeInteger & | operator/= (const vtkLargeInteger &n)
vtkLargeInteger & | operator%= (const vtkLargeInteger &n)
vtkLargeInteger & | operator &= (const vtkLargeInteger &n)
vtkLargeInteger & | operator|= (const vtkLargeInteger &n)
vtkLargeInteger & | operator^= (const vtkLargeInteger &n)
vtkLargeInteger | operator+ (const vtkLargeInteger &n) const
vtkLargeInteger | operator- (const vtkLargeInteger &n) const
vtkLargeInteger | operator * (const vtkLargeInteger &n) const
vtkLargeInteger | operator/ (const vtkLargeInteger &n) const
vtkLargeInteger | operator% (const vtkLargeInteger &n) const
vtkLargeInteger | operator & (const vtkLargeInteger &n) const
vtkLargeInteger | operator| (const vtkLargeInteger &n) const
vtkLargeInteger | operator^ (const vtkLargeInteger &n) const
vtkLargeInteger | operator<< (int n) const
vtkLargeInteger | operator>> (int n) const
## Friends
ostream & | operator<< (ostream &s, const vtkLargeInteger &n)
istream & | operator>> (istream &s, vtkLargeInteger &n)

## Constructor & Destructor Documentation

vtkLargeInteger::vtkLargeInteger | ( | void |  | ) |

vtkLargeInteger::vtkLargeInteger | ( | long | n | ) |

vtkLargeInteger::vtkLargeInteger | ( | unsigned long | n | ) |

vtkLargeInteger::vtkLargeInteger | ( | int | n | ) |

vtkLargeInteger::vtkLargeInteger | ( | unsigned int | n | ) |

vtkLargeInteger::vtkLargeInteger | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger::~vtkLargeInteger | ( | void |  | ) |

## Member Function Documentation

char vtkLargeInteger::CastToChar | ( | void |  | ) | const

short vtkLargeInteger::CastToShort | ( | void |  | ) | const

int vtkLargeInteger::CastToInt | ( | void |  | ) | const

long vtkLargeInteger::CastToLong | ( | void |  | ) | const

unsigned long vtkLargeInteger::CastToUnsignedLong | ( | void |  | ) | const

int vtkLargeInteger::IsEven | ( | void |  | ) | const

int vtkLargeInteger::IsOdd | ( | void |  | ) | const

int vtkLargeInteger::GetLength | ( | void |  | ) | const

int vtkLargeInteger::GetBit | ( | unsigned int | p | ) | const

int vtkLargeInteger::IsZero | ( |  | ) |

int vtkLargeInteger::GetSign | ( | void |  | ) | const

void vtkLargeInteger::Truncate | ( | unsigned int | n | ) |

void vtkLargeInteger::Complement | ( | void |  | ) |

int vtkLargeInteger::operator== | ( | const vtkLargeInteger & | n | ) | const

int vtkLargeInteger::operator!= | ( | const vtkLargeInteger & | n | ) | const

int vtkLargeInteger::operator< | ( | const vtkLargeInteger & | n | ) | const

int vtkLargeInteger::operator<= | ( | const vtkLargeInteger & | n | ) | const

int vtkLargeInteger::operator> | ( | const vtkLargeInteger & | n | ) | const

int vtkLargeInteger::operator>= | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger& vtkLargeInteger::operator= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator+= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator-= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator<<= | ( | int | n | ) |

vtkLargeInteger& vtkLargeInteger::operator>>= | ( | int | n | ) |

vtkLargeInteger& vtkLargeInteger::operator++ | ( | void |  | ) |

vtkLargeInteger& vtkLargeInteger::operator-- | ( | void |  | ) |

vtkLargeInteger vtkLargeInteger::operator++ | ( | int |  | ) |

vtkLargeInteger vtkLargeInteger::operator-- | ( | int |  | ) |

vtkLargeInteger& vtkLargeInteger::operator *= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator/= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator%= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator &= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator|= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger& vtkLargeInteger::operator^= | ( | const vtkLargeInteger & | n | ) |

vtkLargeInteger vtkLargeInteger::operator+ | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator- | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator * | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator/ | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator% | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator & | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator| | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator^ | ( | const vtkLargeInteger & | n | ) | const

vtkLargeInteger vtkLargeInteger::operator<< | ( | int | n | ) | const

vtkLargeInteger vtkLargeInteger::operator>> | ( | int | n | ) | const

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | s,
|  | const vtkLargeInteger & | n
| ) | `[friend]`

istream& operator>> | ( | istream & | s,
|  | vtkLargeInteger & | n
| ) | `[friend]`

The documentation for this class was generated from the following file:

- Common/vtkLargeInteger.h